Index: admin/index.php
===================================================================
--- admin/index.php	(revision 1730)
+++ admin/index.php	(revision 1731)
@@ -63,4 +63,11 @@
 	$core->auth->user_prefs->dashboard->put('quickentry',false,'boolean');
 }
+
+// Handle folded/unfolded sections in admin from user preferences
+$ws = $core->auth->user_prefs->addWorkspace('toggles');
+if (!$core->auth->user_prefs->toggles->prefExists('unfolded_sections')) {
+	$core->auth->user_prefs->toggles->put('unfolded_sections','','string','Folded sections in admin',null,true);
+}
+
 
 # Dashboard icons
@@ -121,20 +128,5 @@
 $__dashboard_items = new ArrayObject(array(new ArrayObject,new ArrayObject));
 
-# Documentation links
 $dashboardItem = 0;
-if ($core->auth->user_prefs->dashboard->doclinks) {
-	if (!empty($__resources['doc']))
-	{
-		$doc_links = '<h3>'.__('Documentation and support').'</h3><ul>';
-	
-		foreach ($__resources['doc'] as $k => $v) {
-			$doc_links .= '<li><a href="'.$v.'" title="'.$k.' '.__('(external link)').'">'.$k.'</a></li>';
-		}
-	
-		$doc_links .= '</ul>';
-		$__dashboard_items[$dashboardItem][] = $doc_links;
-		$dashboardItem++;
-	}
-}
 
 if ($core->auth->user_prefs->dashboard->dcnews) {
@@ -152,10 +144,10 @@
 		if ($feed)
 		{
-			$latest_news = '<h3>'.__('Latest news').'</h3><dl id="news">';
+			$latest_news = '<h3>'.__('Dotclear news').'</h3><dl id="news">';
 			$i = 1;
 			foreach ($feed->items as $item)
 			{
-				$dt = isset($item->link) ? '<a href="'.$item->link.'" title="'.$item->title.' '.__('(external link)').'">'.
-					$item->title.'</a>' : $item->title;
+				$dt = isset($item->link) ? '<a href="'.$item->link.'" title="'.$item->title.' ('.__('new window').')">'.
+					$item->title.' <img src="images/outgoing-blue.png" alt="" /></a>' : $item->title;
 			
 				if ($i < 3) {
@@ -180,4 +172,21 @@
 }
 
+# Documentation links
+if ($core->auth->user_prefs->dashboard->doclinks) {
+	if (!empty($__resources['doc']))
+	{
+		$doc_links = '<h3>'.__('Documentation and support').'</h3><ul>';
+	
+		foreach ($__resources['doc'] as $k => $v) {
+			$doc_links .= '<li><a href="'.$v.'" title="'.$k.' ('.__('new window').')">'.$k.
+			' <img src="images/outgoing-blue.png" alt="" /></a></li>';
+		}
+	
+		$doc_links .= '</ul>';
+		$__dashboard_items[$dashboardItem][] = $doc_links;
+		$dashboardItem++;
+	}
+}
+
 $core->callBehavior('adminDashboardItems', $core, $__dashboard_items);
 
@@ -193,8 +202,29 @@
 	dcPage::jsLoad('js/_index.js').
 	# --BEHAVIOR-- adminDashboardHeaders
-	$core->callBehavior('adminDashboardHeaders')
+	$core->callBehavior('adminDashboardHeaders'),
+	dcPage::breadcrumb(
+		array(
+		'<span class="page-title">'.__('Dashboard').' : '.html::escapeHTML($core->blog->name).'</span>' => ''
+		),
+		false)
 );
 
-echo '<h2>'.html::escapeHTML($core->blog->name).' &rsaquo; <span class="page-title">'.__('Dashboard').'</span></h2>';
+# Dotclear updates notifications
+if ($core->auth->isSuperAdmin() && is_readable(DC_DIGESTS))
+{
+	$updater = new dcUpdate(DC_UPDATE_URL,'dotclear',DC_UPDATE_VERSION,DC_TPL_CACHE.'/versions');
+	$new_v = $updater->check(DC_VERSION);
+	$version_info = $new_v ? $updater->getInfoURL() : '';
+
+	if ($updater->getNotify() && $new_v) {
+		echo
+		'<div class="dc-update"><h3>'.sprintf(__('Dotclear %s is available!'),$new_v).'</h3> '.
+		'<p><a class="button submit" href="update.php">'.sprintf(__('Upgrade now'),$new_v).'</a> '.
+		'<a href="update.php?hide_msg=1">'.__('Remind me later').'</a>'.
+		($version_info ? ' </p>'.
+		'<p><a href="'.$version_info.'" class="info">'.__('information about this version').'</a>' : '').'</p>'.
+		'</div>';
+	}
+}
 
 if ($core->auth->getInfo('user_default_blog') != $core->blog->id && $core->auth->blog_count > 1) {
@@ -204,7 +234,7 @@
 
 if ($core->blog->status == 0) {
-	echo '<p class="static-msg">'.__('This blog is offline').'</p>';
+	echo '<p class="static-msg">'.__('This blog is offline').'.</p>';
 } elseif ($core->blog->status == -1) {
-	echo '<p class="static-msg">'.__('This blog is removed').'</p>';
+	echo '<p class="static-msg">'.__('This blog is removed').'.</p>';
 }
 
@@ -272,25 +302,4 @@
 	echo '</ul></div>';
 }
-
-# Dashboard columns (processed first, as we need to know the result before displaying the icons.)
-$dashboardItems = '';
-
-# Dotclear updates notifications
-if ($core->auth->isSuperAdmin() && is_readable(DC_DIGESTS))
-{
-	$updater = new dcUpdate(DC_UPDATE_URL,'dotclear',DC_UPDATE_VERSION,DC_TPL_CACHE.'/versions');
-	$new_v = $updater->check(DC_VERSION);
-	$version_info = $new_v ? $updater->getInfoURL() : '';
-	
-	if ($updater->getNotify() && $new_v) {
-		$dashboardItems .=
-		'<div id="upg-notify" class="static-msg"><p>'.sprintf(__('Dotclear %s is available!'),$new_v).'</p> '.
-		'<ul><li><strong><a href="update.php">'.sprintf(__('Upgrade now'),$new_v).'</a></strong>'.
-		'</li><li><a href="update.php?hide_msg=1">'.__('Remind me later').'</a>'.
-		($version_info ? ' </li><li>'.sprintf(__('<a href="%s">Information about this version</a>.'),$version_info) : '').
-		'</li></ul></div>';
-	}
-}
-
 # Errors modules notifications
 if ($core->auth->isSuperAdmin())
@@ -302,10 +311,12 @@
 	
 	if (count($list) > 0) {
-		$dashboardItems .=
-		'<div id="module-errors" class="error"><p>'.__('Some plugins are installed twice:').'</p> '.
+		echo 
+		'<div class="error" id="module-errors" class="error"><p>'.__('Some plugins are installed twice:').'</p> '.
 		'<ul>'.implode("\n",$list).'</ul></div>';
 	}
-	
-}
+}
+
+# Dashboard columns (processed first, as we need to know the result before displaying the icons.)
+$dashboardItems = '';
 
 foreach ($__dashboard_items as $i)
@@ -313,5 +324,5 @@
 	if ($i->count() > 0)
 	{
-		$dashboardItems .= '<div>';
+		$dashboardItems .= '<div class="db-box">';
 		foreach ($i as $v) {
 			$dashboardItems .= $v;
@@ -322,5 +333,5 @@
 
 # Dashboard icons
-echo '<div id="dashboard-main"'.($dashboardItems ? '' : ' class="fullwidth"').'><div id="icons">';
+echo '<div id="dashboard-main"><div id="icons">';
 foreach ($__dashboard_icons as $i)
 {
@@ -335,40 +346,31 @@
 	{
 		# Getting categories
-		$categories_combo = array(__('(No cat)') => '');
-		try {
-			$categories = $core->blog->getCategories(array('post_type'=>'post'));
-			if (!$categories->isEmpty()) {
-				while ($categories->fetch()) {
-					$catparents_combo[] = $categories_combo[] = new formSelectOption(
-						str_repeat('&nbsp;&nbsp;',$categories->level-1).($categories->level-1 == 0 ? '' : '&bull; ').html::escapeHTML($categories->cat_title),
-						$categories->cat_id
-					);
-				}
-			}
-		} catch (Exception $e) { }
-		
+		$categories_combo = dcAdminCombos::getCategoriesCombo(
+			$core->blog->getCategories(array('post_type'=>'post'))
+		);
+	
 		echo
 		'<div id="quick">'.
 		'<h3>'.__('Quick entry').'</h3>'.
-		'<form id="quick-entry" action="post.php" method="post">'.
-		'<fieldset><legend>'.__('New entry').'</legend>'.
-		'<p class="col"><label for="post_title" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').
+		'<form id="quick-entry" action="post.php" method="post" class="fieldset">'.
+		'<h4>'.__('New entry').'</h4>'.
+		'<p class="col"><label for="post_title" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
 		form::field('post_title',20,255,'','maximal').
-		'</label></p>'.
+		'</p>'.
 		'<p class="area"><label class="required" '.
 		'for="post_content"><abbr title="'.__('Required field').'">*</abbr> '.__('Content:').'</label> '.
 		form::textarea('post_content',50,7).
 		'</p>'.
-		'<p><label for="cat_id" class="classic">'.__('Category:').' '.
-		form::combo('cat_id',$categories_combo).'</label></p>'.
+		'<p><label for="cat_id" class="classic">'.__('Category:').'</label> '.
+		form::combo('cat_id',$categories_combo).'</p>'.
 		($core->auth->check('categories', $core->blog->id)
 			? '<div>'.
-			'<p id="new_cat">'.__('Add a new category').'</p>'.
+			'<p id="new_cat" class="q-cat">'.__('Add a new category').'</p>'.
+			'<p class="q-cat"><label for="new_cat_title">'.__('Title:').'</label> '.
+			form::field('new_cat_title',30,255,'','').'</p>'.
+			'<p class="q-cat"><label for="new_cat_parent">'.__('Parent:').'</label> '.
+			form::combo('new_cat_parent',$categories_combo,'','').
+			'</p>'.
 			'<p class="form-note info clear">'.__('This category will be created when you will save your post.').'</p>'.
-			'<p><label for="new_cat_title">'.__('Title:').' '.
-			form::field('new_cat_title',30,255,'','maximal').'</label></p>'.
-			'<p><label for="new_cat_parent">'.__('Parent:').' '.
-			form::combo('new_cat_parent',$categories_combo,'','maximal').
-			'</label></p>'.
 			'</div>'
 			: '').
@@ -384,5 +386,4 @@
 		form::hidden('post_notes','').
 		'</p>'.
-		'</fieldset>'.
 		'</form>'.
 		'</div>';
@@ -394,5 +395,5 @@
 	if ($i->count() > 0)
 	{
-		$dashboardContents .= '<div>';
+		$dashboardContents .= '<div class="db-box">';
 		foreach ($i as $v) {
 			$dashboardContents .= $v;
@@ -401,9 +402,17 @@
 	}
 }
-echo ($dashboardContents ? '<div id="dashboard-contents">'.$dashboardContents.'</div>' : '');
+
+$class = ' '.(($dashboardItems != '') && ($dashboardContents != '') ? 'two-db' : 'one-db');
+
+if ($dashboardContents != '' || $dashboardItems != '') {
+	echo 
+	'<div id="dashboard-widgets">';
+		echo ($dashboardContents ? '<div class="db-contents'.$class.'">'.$dashboardContents.'</div>' : '');
+		echo ($dashboardItems ? '<div class="db-items'.$class.'">'.$dashboardItems.'</div>' : '');
+	echo
+	'</div>';		
+}
 
 echo '</div>';
-
-echo ($dashboardItems ? '<div id="dashboard-items">'.$dashboardItems.'</div>' : '');
 
 dcPage::close();
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 1583)
+++ admin/install/index.php	(revision 1620)
@@ -190,5 +190,5 @@
 		$core->auth->user_prefs->dashboard->put('doclinks',true,'boolean','',null,true);
 		$core->auth->user_prefs->dashboard->put('dcnews',true,'boolean','',null,true);
-		$core->auth->user_prefs->dashboard->put('quickentry',false,'boolean','',null,true);
+		$core->auth->user_prefs->dashboard->put('quickentry',true,'boolean','',null,true);
 
 		# Add accessibility options
@@ -307,4 +307,8 @@
 '<div id="main">';
 
+if (!is_writable(DC_TPL_CACHE)) {
+	echo '<div class="error"><p>'.sprintf(__('Cache directory %s is not writable.'),DC_TPL_CACHE).'</p></div>';
+}
+
 if ($can_install && !empty($err)) {
 	echo '<div class="error"><p><strong>'.__('Errors:').'</strong></p>'.$err.'</div>';
@@ -312,5 +316,5 @@
 
 if (!empty($_GET['wiz'])) {
-	echo '<p class="message">'.__('Configuration file has been successfully created.').'</p>';
+	echo '<p class="success">'.__('Configuration file has been successfully created.').'</p>';
 }
 
@@ -324,10 +328,10 @@
 	'<form action="index.php" method="post">'.
 	'<fieldset><legend>'.__('User information').'</legend>'.
-	'<p><label for="u_firstname">'.__('First Name:').' '.
-	form::field('u_firstname',30,255,html::escapeHTML($u_firstname)).'</label></p>'.
-	'<p><label for="u_name">'.__('Last Name:').' '.
-	form::field('u_name',30,255,html::escapeHTML($u_name)).'</label></p>'.
-	'<p><label for="u_email">'.__('Email:').' '.
-	form::field('u_email',30,255,html::escapeHTML($u_email)).'</label></p>'.
+	'<p><label for="u_firstname">'.__('First Name:').'</label> '.
+	form::field('u_firstname',30,255,html::escapeHTML($u_firstname)).'</p>'.
+	'<p><label for="u_name">'.__('Last Name:').'</label> '.
+	form::field('u_name',30,255,html::escapeHTML($u_name)).'</p>'.
+	'<p><label for="u_email">'.__('Email:').'</label> '.
+	form::field('u_email',30,255,html::escapeHTML($u_email)).'</p>'.
 	'</fieldset>'.
 	
@@ -378,5 +382,5 @@
 	$plugins_install_result.
 	
-	'<p>'.__('Dotclear has been successfully installed. Here is some useful information you should keep.').'</p>'.
+	'<p class="success">'.__('Dotclear has been successfully installed. Here is some useful information you should keep.').'</p>'.
 	
 	'<h3>'.__('Your account').'</h3>'.
Index: admin/install/wizard.php
===================================================================
--- admin/install/wizard.php	(revision 1179)
+++ admin/install/wizard.php	(revision 1399)
@@ -178,16 +178,16 @@
 
 '<form action="wizard.php" method="post">'.
-'<p><label class="required" for="DBDRIVER"><abbr title="'.__('Required field').'">*</abbr> '.__('Database type:').' '.
-form::combo('DBDRIVER',array('MySQL'=>'mysql','PostgreSQL'=>'pgsql'),$DBDRIVER).'</label></p>'.
-'<p><label for="DBHOST">'.__('Database Host Name:').' '.
-form::field('DBHOST',30,255,html::escapeHTML($DBHOST)).'</label></p>'.
-'<p><label for="DBNAME">'.__('Database Name:').' '.
-form::field('DBNAME',30,255,html::escapeHTML($DBNAME)).'</label></p>'.
-'<p><label for="DBUSER">'.__('Database User Name:').' '.
-form::field('DBUSER',30,255,html::escapeHTML($DBUSER)).'</label></p>'.
-'<p><label for="DBPASSWORD">'.__('Database Password:').' '.
-form::password('DBPASSWORD',30,255).'</label></p>'.
-'<p><label for="DBPREFIX" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Database Tables Prefix:').' '.
-form::field('DBPREFIX',30,255,html::escapeHTML($DBPREFIX)).'</label></p>'.
+'<p><label class="required" for="DBDRIVER"><abbr title="'.__('Required field').'">*</abbr> '.__('Database type:').'</label> '.
+form::combo('DBDRIVER',array('MySQL'=>'mysql','PostgreSQL'=>'pgsql'),$DBDRIVER).'</p>'.
+'<p><label for="DBHOST">'.__('Database Host Name:').'</label> '.
+form::field('DBHOST',30,255,html::escapeHTML($DBHOST)).'</p>'.
+'<p><label for="DBNAME">'.__('Database Name:').'</label> '.
+form::field('DBNAME',30,255,html::escapeHTML($DBNAME)).'</p>'.
+'<p><label for="DBUSER">'.__('Database User Name:').'</label> '.
+form::field('DBUSER',30,255,html::escapeHTML($DBUSER)).'</p>'.
+'<p><label for="DBPASSWORD">'.__('Database Password:').'</label> '.
+form::password('DBPASSWORD',30,255).'</p>'.
+'<p><label for="DBPREFIX" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Database Tables Prefix:').'</label> '.
+form::field('DBPREFIX',30,255,html::escapeHTML($DBPREFIX)).'</p>'.
 
 '<p><input type="submit" value="'.__('Continue').'" /></p>'.
Index: admin/js/_categories.js
===================================================================
--- admin/js/_categories.js	(revision 0)
+++ admin/js/_categories.js	(revision 1595)
@@ -1,13 +1,31 @@
-/* TODO: Some nice drag and drop on categories */
 $(function() {
-	$('form#delete-category').submit(function() {
-		var c_id = $('#del_cat').val();
-		var c_name = $('#del_cat option[value='+c_id+']').text();
-		return window.confirm(dotclear.msg.confirm_delete_category.replace('%s',c_name));
+	if ($.fn['nestedSortable']!==undefined) {
+		$('#categories ul li').css('cursor','move');
+		$('#save-set-order').prop('disabled',true).addClass('disabled');
+		$('#categories ul').nestedSortable({
+			listType: 'ul',
+			items: 'li',
+			placeholder: 'placeholder',
+			update: function() {
+				$('#categories_order').attr('value',JSON.stringify($('#categories ul').nestedSortable('toArray')));
+				$('#save-set-order').prop('disabled',false).removeClass('disabled');
+			}
+		});
+	}
+
+	$('.checkboxes-helpers').each(function() {
+		dotclear.checkboxesHelpers(this);
 	});
-});
 
-$(function() {
-	$('form#reset-order').submit(function() {
+	$('input[name="delete"]').click(function() {
+		var nb_ckecked = $('input[name="categories[]"]:checked').length;
+		if (nb_ckecked==0) {
+			return false;
+		}
+
+		return window.confirm(dotclear.msg.confirm_delete_categories.replace('%s',nb_ckecked));
+	});
+
+	$('input[name="reset"]').click(function() {
 		return window.confirm(dotclear.msg.confirm_reorder_categories);
 	});
Index: admin/js/_index.js
===================================================================
--- admin/js/_index.js	(revision 1500)
+++ admin/js/_index.js	(revision 1699)
@@ -66,13 +66,14 @@
 			});
 		}
-		$('#new_cat').toggleWithLegend(
-			$('#new_cat').parent().children().not('#new_cat'),
-			{} // no cookie on new category as we don't use this every day
-		);
+		$('#new_cat').toggleWithLegend($('#new_cat').parent().children().not('#new_cat'), {
+			// no cookie on new category as we don't use this every day
+			legend_click: true
+		});
 	}
 
 	// allow to hide quick entry div, and remember choice
 	$('#quick h3').toggleWithLegend($('#quick').children().not('h3'),{
-		cookie: 'dcx_quick_entry'
+		legend_click: true,
+		user_pref: 'dcx_quick_entry'
 	});
 });
Index: admin/js/_media.js
===================================================================
--- admin/js/_media.js	(revision 1234)
+++ admin/js/_media.js	(revision 1724)
@@ -1,79 +1,132 @@
+(function($) {
+	$.fn.enhancedUploader = function() {
+		return this.each(function() {
+			var me = $(this);
+
+			function enableButton(button) {
+				button.prop('disabled',false).removeClass('disabled');
+			}
+
+			function disableButton(button) {
+				button.prop('disabled',true).addClass('disabled');
+			}
+			
+			function displayMessageInQueue(n) {
+				var msg = '';
+				if (n==1) {
+					msg = dotclear.jsUpload.msg.file_in_queue;
+				} else if (n>1) {
+					msg = dotclear.jsUpload.msg.files_in_queue;
+					msg = msg.replace(/%d/,n);
+				} else {
+					msg = dotclear.jsUpload.msg.no_file_in_queue;
+				}
+				$('.queue-message',me).html(msg);
+			}
+			
+			$('.button.add').click(function(e) {
+				// Use the native click() of the file input.
+				$('#upfile').click();
+				e.preventDefault();
+			});
+			
+			$('.button.cancel', '#fileupload .fileupload-buttonbar').click(function(e) {
+				$('.button.cancel','#fileupload .fileupload-buttonbar').hide();
+				disableButton($('.button.start','#fileupload .fileupload-buttonbar'));
+				displayMessageInQueue(0);
+			});
+			
+			$('.cancel').live('click', function(e) {
+				if ($('.fileupload-ctrl .files .template-upload', me).length==0) {
+					$('.button.cancel','#fileupload .fileupload-buttonbar').hide();
+					disableButton($('.button.start','#fileupload .fileupload-buttonbar'));
+				}
+				displayMessageInQueue($('.files .template-upload',me).length);
+			});
+			
+			$('.button.clean', me).click(function(e) {
+				$('.fileupload-ctrl .files .template-download', me).slideUp(500, function() {
+					$(this).remove();
+				});
+				$(this).hide();
+				e.preventDefault();
+			});
+			
+			$(me).fileupload({
+				url: $(me).attr('action'),
+				autoUpload: false,
+				sequentialUploads: true,
+				uploadTemplateId: null,
+				downloadTemplateId: null,
+				uploadTemplate: template_upload,
+				downloadTemplate: template_download
+			}).bind('fileuploadadd', function(e, data) {
+				$('.button.cancel','#fileupload .fileupload-buttonbar').show();
+				enableButton($('.button.start','#fileupload .fileupload-buttonbar'));
+			}).bind('fileuploadadded', function(e, data) {
+				displayMessageInQueue($('.files .template-upload',me).length);
+			}).bind('fileuploaddone', function(e, data) {
+				if (data.result.files[0].html !==undefined) {
+					$('.media-list p.clear').before(data.result.files[0].html);
+				}
+				$('.button.clean',me).show();
+			}).bind('fileuploadalways', function(e, data) {
+				displayMessageInQueue($('.files .template-upload',me).length);
+				if ($('.fileupload-ctrl .files .template-upload',me).length==0) {
+					$('.button.cancel','#fileupload .fileupload-buttonbar').hide();
+					disableButton($('.button.start','#fileupload .fileupload-buttonbar'));
+				}
+			});
+			
+			var $container = $(me).parent();
+			var $msg,label;
+
+			if ($container.hasClass('enhanced_uploader')) {
+				$msg = dotclear.msg.enhanced_uploader_disable;
+				label = dotclear.jsUpload.msg.choose_files;
+				$(me).fileupload({disabled:false});
+				displayMessageInQueue(0);
+				disableButton($('.button.start','#fileupload .fileupload-buttonbar'));
+			} else {
+				$msg = dotclear.msg.enhanced_uploader_activate;
+				label = dotclear.jsUpload.msg.choose_file;
+			}
+
+			$('<p class="clear"><a class="enhanced-toggle" href="#">' + $msg + '</a></p>').click(function() {
+				if ($container.hasClass('enhanced_uploader')) {
+					$msg = dotclear.msg.enhanced_uploader_activate;
+					label = dotclear.jsUpload.msg.choose_file;
+					$('#upfile').attr('multiple', false);
+					enableButton($('.button.start','#fileupload .fileupload-buttonbar'));
+					
+					// when a user has clicked enhanced_uploader, and has added files
+					// We must remove files in table
+					$('.files .upload-file', me).remove();
+					$('.button.cancel,.button.clean','#fileupload .fileupload-buttonbar').hide();
+					$(me).fileupload({disabled:true});
+					$('.queue-message',me).html('').hide();
+				} else {
+					$msg = dotclear.msg.enhanced_uploader_disable;
+					label = dotclear.jsUpload.msg.choose_files;
+					$('#upfile').attr('multiple', true);
+					var startButton = $('.button.start','#fileupload .fileupload-buttonbar');
+					disableButton(startButton);
+					startButton.show();
+					$(me).fileupload({disabled:false});
+					$('.queue-message',me).show();
+					displayMessageInQueue(0);
+				}
+				$(this).find('a').text($msg);
+				$('.add-label', me).text(label);
+				
+				$container.toggleClass('enhanced_uploader');
+			}).appendTo(me);
+		});
+	};
+})(jQuery);
+
+
 $(function() {
-	if ($('#fileupload').length==0) {
-		return;
-	}
-
-	$('.button.add').click(function(e) {
-		// Use the native click() of the file input.
-		$('#upfile').click();
-		e.preventDefault();
-	});
-
-	$('.button.cancel', '#fileupload').click(function(e) {
-		$('.button.cancel, .button.start','#fileupload .fileupload-buttonbar').hide();
-	});
-
-	$('.button.clean', '#fileupload').click(function(e) {
-		$('.fileupload-ctrl .files .template-download', '#fileupload').slideUp(500, function() {
-			$(this).remove();
-		});
-		$(this).hide();
-		e.preventDefault();
-	});
-
-	$('#fileupload').fileupload({
-		url: $('#fileupload').attr('action'),
-		autoUpload: false,
-		sequentialUploads: true,
-		disabled: true
-	}).bind('fileuploadadd', function(e, data) {
-		$('.button.cancel, .button.start', '#fileupload .fileupload-buttonbar').show();
-	}).bind('fileuploaddone', function(e, data) {
-		if (data.result.files[0].html !==undefined) {
-			$('.media-list p.clear').before(data.result.files[0].html);
-		}
-		$('.button.clean','#fileupload').show();
-	}).bind('fileuploadalways', function(e, data) {
-	    if ($('.fileupload-ctrl .files .template-upload', '#fileupload').length==0) {
-		$('.button.start, .button.cancel','#fileupload .fileupload-buttonbar').hide();
-	    }
-	});
-
-	var $container = $('#add-file-f').parent().parent();
-	var $msg,label;
-
-	if ($container.hasClass('enhanced_uploader')) {
-		$msg = dotclear.msg.enhanced_uploader_disable;
-		label = dotclear.jsUpload.msg.choose_files;
-		$('#fileupload').fileupload({disabled:false});
-	} else {
-		$msg = dotclear.msg.enhanced_uploader_activate;
-		label = dotclear.jsUpload.msg.choose_file;
-	}
-
-	$('<p class="clear"><a class="enhanced-toggle" href="#">' + $msg + '</a></p>').click( function() {
-		if ($container.hasClass('enhanced_uploader')) {
-			$msg = dotclear.msg.enhanced_uploader_activate;
-			label = dotclear.jsUpload.msg.choose_file;
-			$('#upfile').attr('multiple', false);
-
-			// when a user has clicked enhanced_uploader, and has added files
-			// We must remove files in table
-			$('.files .upload-file', '#fileupload').remove();
-			$('.button.cancel, .button.start','#fileupload .fileupload-buttonbar').hide();
-			$('.button.start','#fileupload').show();
-			$('#fileupload').fileupload({disabled:true});
-		} else {
-			$msg = dotclear.msg.enhanced_uploader_disable;
-			label = dotclear.jsUpload.msg.choose_files;
-			$('#upfile').attr('multiple', true);
-			$('.button.start','#fileupload').hide();
-			$('#fileupload').fileupload({disabled:false});
-		}
-		$(this).find('a').text($msg);
-		$('.add-label', '#fileupload').text(label);
-
-		$container.toggleClass('enhanced_uploader');
-	}).appendTo($('#add-file-f'));
+	$('#fileupload').enhancedUploader();
 
 	// Replace remove links by a POST on hidden form
Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 1515)
+++ admin/js/_post.js	(revision 1717)
@@ -1,5 +1,5 @@
 dotclear.commentExpander = function(line) {
 	var td = line.firstChild;
-	
+
 	var img = document.createElement('img');
 	img.src = dotclear.img_plus_src;
@@ -9,5 +9,5 @@
 	img.line = line;
 	img.onclick = function() { dotclear.viewCommentContent(this,this.line); };
-	
+
 	td.insertBefore(img,td.firstChild);
 };
@@ -15,7 +15,7 @@
 dotclear.viewCommentContent = function(img,line) {
 	var commentId = line.id.substr(1);
-	
+
 	var tr = document.getElementById('ce'+commentId);
-	
+
 	if (!tr) {
 		tr = document.createElement('tr');
@@ -25,15 +25,15 @@
 		td.className = 'expand';
 		tr.appendChild(td);
-		
+
 		img.src = dotclear.img_minus_src;
 		img.alt = dotclear.img_minus_alt;
-		
+
 		// Get comment content
 		$.get('services.php',{f:'getCommentById',id: commentId},function(data) {
 			var rsp = $(data).children('rsp')[0];
-			
+
 			if (rsp.attributes[0].value == 'ok') {
 				var comment = $(rsp).find('comment_display_content').text();
-				
+
 				if (comment) {
 					$(td).append(comment);
@@ -42,5 +42,5 @@
 					var comment_ip = $(rsp).find('comment_ip').text();
 					var comment_spam_disp = $(rsp).find('comment_spam_disp').text();
-					
+
 					$(td).append('<p><strong>' + dotclear.msg.website +
 					'</strong> ' + comment_site + '<br />' +
@@ -52,5 +52,5 @@
 			}
 		});
-		
+
 		$(line).toggleClass('expand');
 		line.parentNode.insertBefore(tr,line.nextSibling);
@@ -74,5 +74,5 @@
 $(function() {
 	if (!document.getElementById) { return; }
-	
+
 	if (document.getElementById('edit-entry'))
 	{
@@ -91,58 +91,85 @@
 			}
 		});
-		
+
 		var excerptTb = new jsToolBar(document.getElementById('post_excerpt'));
 		var contentTb = new jsToolBar(document.getElementById('post_content'));
 		excerptTb.context = contentTb.context = 'post';
 	}
-	
+
 	if (document.getElementById('comment_content')) {
 		var commentTb = new jsToolBar(document.getElementById('comment_content'));
 	}
-	
+
 	// Post preview
 	$('#post-preview').modalWeb($(window).width()-40,$(window).height()-40);
-	
+
 	// Tabs events
 	$('#edit-entry').onetabload(function() {
 		dotclear.hideLockable();
-		
+
 		// Add date picker
 		var post_dtPick = new datePicker($('#post_dt').get(0));
 		post_dtPick.img_top = '1.5em';
 		post_dtPick.draw();
-		
+
 		// Confirm post deletion
 		$('input[name="delete"]').click(function() {
-				return window.confirm(dotclear.msg.confirm_delete_post);
-		});
-		
+			return window.confirm(dotclear.msg.confirm_delete_post);
+		});
+
 		// Hide some fields
 		$('#notes-area label').toggleWithLegend($('#notes-area').children().not('label'),{
-			cookie: 'dcx_post_notes',
+			user_pref: 'dcx_post_notes',
+			legend_click:true,
 			hide: $('#post_notes').val() == ''
 		});
-		$('#new_cat').toggleWithLegend(
-			$('#new_cat').parent().children().not('#new_cat'),
-			{} // no cookie on new category as we don't use this every day
-		);
-		$('#post_lang').parent().toggleWithLegend($('#post_lang'),{
-			cookie: 'dcx_post_lang'
-		});
-		$('#post_password').parent().toggleWithLegend($('#post_password'),{
-			cookie: 'dcx_post_password',
+		$('#create_cat').toggleWithLegend($('#create_cat').parent().children().not('#create_cat'),{
+			// no cookie on new category as we don't use this every day
+			legend_click: true
+		});
+		$('#post_lang').parent().children('label').toggleWithLegend($('#post_lang'),{
+			user_pref: 'dcx_post_lang',
+			legend_click: true
+		});
+		$('#post_password').parent().children('label').toggleWithLegend($('#post_password'),{
+			user_pref: 'dcx_post_password',
+			legend_click: true,
 			hide: $('#post_password').val() == ''
 		});
-		
+		$('#post_status').parent().children('label').toggleWithLegend($('#post_status'),{
+			user_pref: 'dcx_post_status',
+			legend_click: true
+		});
+		$('#post_dt').parent().children('label').toggleWithLegend($('#post_dt').parent().children().not('label'),{
+			user_pref: 'dcx_post_dt',
+			legend_click: true
+		});
+		$('#label_format').toggleWithLegend($('#label_format').parent().children().not('#label_format'),{
+			user_pref: 'dcx_post_format',
+			legend_click: true
+		});
+		$('#cat_id').parent().children('label').toggleWithLegend($('#cat_id'),{
+			user_pref: 'cat_id',
+			legend_click: true
+		});
+		$('#label_comment_tb').toggleWithLegend($('#label_comment_tb').parent().children().not('#label_comment_tb'),{
+			user_pref: 'dcx_comment_tb',
+			legend_click: true
+		});
+		$('#post_url').parent().children('label').toggleWithLegend($('#post_url').parent().children().not('label'),{
+			user_pref: 'post_url',
+			legend_click: true
+		});
 		// We load toolbar on excerpt only when it's ready
 		$('#excerpt-area label').toggleWithLegend($('#excerpt-area').children().not('label'),{
-			cookie: 'dcx_post_excerpt',
+			user_pref: 'dcx_post_excerpt',
+			legend_click: true,
 			hide: $('#post_excerpt').val() == ''
 		});
-		
+
 		// Load toolbars
 		contentTb.switchMode(formatField.value);
 		excerptTb.switchMode(formatField.value);
-		
+
 		// Replace attachment remove links by a POST form submit
 		$('a.attachment-remove').click(function() {
@@ -156,9 +183,10 @@
 			return false;
 		});
-		
+
 		// Markup validator
 		var h = document.createElement('h4');
 		var a = document.createElement('a');
 		a.href = '#';
+		a.className = 'button';
 		$(a).click(function() {
 			var params = {
@@ -170,5 +198,5 @@
 				lang: $('#post_lang').get(0).value
 			};
-			
+
 			$.post('services.php',params,function(data) {
 				if ($(data).find('rsp').attr('status') != 'ok') {
@@ -176,13 +204,13 @@
 					return false;
 				}
-				
+
 				if ($(data).find('valid').text() == 1) {
 					var p = document.createElement('p');
 					p.id = 'markup-validator';
-					
+
 					if ($('#markup-validator').length > 0) {
 						$('#markup-validator').remove();
 					}
-					
+
 					$(p).addClass('message');
 					$(p).text(dotclear.msg.xhtml_valid);
@@ -194,27 +222,27 @@
 					var div = document.createElement('div');
 					div.id = 'markup-validator';
-					
+
 					if ($('#markup-validator').length > 0) {
 						$('#markup-validator').remove();
 					}
-					
+
 					$(div).addClass('error');
 					$(div).html('<p><strong>' + dotclear.msg.xhtml_not_valid + '</strong></p>' + $(data).find('errors').text());
 					$(div).insertAfter(h);
-					$(div).backgroundFade({sColor:'#ffffff',eColor:'#ff9999',steps:50},function() {
-							$(this).backgroundFade({sColor:'#ff9999',eColor:'#ffffff'});
+					$(div).backgroundFade({sColor:'#ffffff',eColor:'#FFBABA',steps:50},function() {
+							$(this).backgroundFade({sColor:'#ffbaba',eColor:'#ffffff'});
 					});
 				}
-				
+
 				return false;
 			});
-			
+
 			return false;
 		});
-		
+
 		a.appendChild(document.createTextNode(dotclear.msg.xhtml_validator));
 		h.appendChild(a);
 		$(h).appendTo('#entry-content');
-		
+
 		// Check unsaved changes before XHTML conversion
 		var excerpt = $('#post_excerpt').val();
@@ -223,8 +251,8 @@
 			if (excerpt != $('#post_excerpt').val() || content != $('#post_content').val()) {
 				return window.confirm(dotclear.msg.confirm_change_post_format);
-			}	
+			}
 		});
 	});
-	
+
 	$('#comments').onetabload(function() {
 		$('.comments-list tr.line').each(function() {
@@ -234,8 +262,8 @@
 			dotclear.checkboxesHelpers(this);
 		});
-		
+
 		dotclear.commentsActionsHelper();
 	});
-	
+
 	$('#add-comment').onetabload(function() {
 		commentTb.draw('xhtml');
